###################################################
### chunk number 1: startOptions eval=FALSE
###################################################
## options(width=70);


###################################################
### chunk number 2: loadReqdData
###################################################

library(hgu95av2);
load(file.path("RDataObjects", "chemoPredictors.Rda")); 
load(file.path("RDataObjects", "changData.Rda"));
load(file.path("RDataObjects", "features.Rda"));



###################################################
### chunk number 3: getChemoPredictors eval=FALSE
###################################################
## 
## temp5fu <- predictors[,predictorsInfo$drugName == "5-FU"];  #$
## tempStatus <- predictorsInfo$resp[predictorsInfo$drug == "5-FU"]; 
## tempValue <- rep(0,length(tempStatus)); 
## tempValue[tempStatus == "Sensitive"] <- 1;
## tempTable <- rbind(tempValue, temp5fu); 
## write.table(tempTable, 
##             file=file.path("MatlabFiles", "FUTraining.csv"), 
##             row.names=FALSE, col.names=FALSE, sep=",");
## 
## # output the probeset ids as well
## write.table(rownames(temp5fu),
##             file=file.path("MatlabFiles", "GeneIDsGood.csv"),
##             row.names=FALSE, col.names=FALSE, sep=",");
## 
## # output the probeset ids list with a header too!
## write.table(c("probeset id", rownames(temp5fu)),
##             file=file.path("MatlabFiles", "GeneIDsBad.csv"),
##             row.names=FALSE, col.names=FALSE, sep=",");
## 
## rm(temp5fu, tempStatus, tempValue, tempTable);
## 


###################################################
### chunk number 4: filesForDuke eval=FALSE
###################################################
## 
## filesForDuke <- function(outputPrefix, outputPath, drugName, 
##                          fullData, fullInfo){
##   tempData <- fullData[,fullInfo$drugName == drugName];
##   tempStatus <- fullInfo$resp[fullInfo$drug == drugName];
##   tempValue <- rep(0, length(tempStatus));
##   tempValue[tempStatus == "Sensitive"] <- 1;
##   tempQuant <- rbind(tempValue, tempData);
##   write.table(tempQuant, 
##               file=file.path(outputPath, 
##                 paste(outputPrefix, "Quant.csv", sep="")),
##               row.names=FALSE, col.names=FALSE, sep=",");
##   write.table(rownames(tempData),
##               file=file.path(outputPath, 
##                 paste(outputPrefix, "GeneIDs.csv", sep="")),
##               row.names=FALSE, col.names=FALSE, sep=",");
##   write.table(fullInfo[fullInfo$drugName == drugName,],
##               file=file.path(outputPath, 
##                 paste(outputPrefix, "SampleInfo.csv", sep="")),
##               row.names=TRUE, col.names=TRUE, sep=",");
## }
## 


###################################################
### chunk number 5: output5FU eval=FALSE
###################################################
## 
## filesForDuke(outputPrefix="FiveFUTraining", 
##              outputPath="MatlabFiles", 
##              drugName="5-FU", 
##              fullData=predictors, 
##              fullInfo=predictorsInfo);
## 


###################################################
### chunk number 6: writeMFileFunction eval=FALSE
###################################################
## 
## mFilesForDuke <- function(outputPrefix, outputPath, drugName,
##                           userOptions, matlabLocation){
## 
##   pfx <- file.path(outputPath, outputPrefix);
##   mFileName <- paste(pfx, ".m", sep="");
##   scriptName <- paste(pfx, ".sh", sep="");
##   dukeLocn <- file.path("..", "PublicData", "DukeWebSite", "Pittman_zip");
##   
##   mf <- file(mFileName, "w");
##   cat("addpath('", dukeLocn, "');\n\n", file=mf, sep="");
## 
##   cat("txt2mat2('", pfx, "GeneIDs.csv');\n", file=mf, sep="");
##   cat("movefile('descriptions.mat','", pfx, "Descriptions.mat');\n\n",
##       file=mf, sep="");
##   for(i1 in 1:length(userOptions)){
##     cat("UserOptions.", names(userOptions)[i1], "=", 
##         userOptions[[i1]], ";\n", file=mf, sep="");
##   }
##   cat("\n", file=mf);
## 
##   cat("silent = 0;\n", file=mf);
##   cat("run_binreg(UserOptions, silent);\n\n", file=mf);
## 
##   figNames <- c("PCA", "MetaWts", "ProbVsWt", "ProbVsWtTest",
##                 "CrossVal", "Heatmap");
##   figPfx <- c("'-dpng'", "'-dpdf'", "'-depsc'");
##   figSfx <- c(".png", ".pdf", ".eps");
##   figPth <- file.path(outputPath, "Figures", outputPrefix);
##   for(i1 in c(1,2,3,5)){
##     cat("figure(", i1, ");\n", file=mf, sep="");
##     cat("set(gcf,'Color','w');\n", file=mf);
##     for(i2 in 1:3){
##       cat("print(", figPfx[i2], ",'", figPth, figNames[i1],
##           figSfx[i2], "');\n", file=mf, sep="");
##     }
##     cat("\n", file=mf);
##   }
## 
##   cat("figure(11);\n", file=mf, sep="");
##   cat("set(gcf,'Color','w');\n", file=mf);
##   cat("title('",drugName, ", ", userOptions$genes, " Genes');\n", #$
##       file=mf, sep="");
##   cat("xlabel('Samples');\n", file=mf);
##   cat("ylabel('Genes');\n", file=mf);
##   for(i1 in 1:3){
##     cat("print(", figPfx[i1], ",'", figPth, figNames[length(figNames)],
##         figSfx[i1], "');\n", file=mf, sep="");
##   }
##   cat("\n", file=mf);
##   
##   cat("silent = 1;\n", file=mf);
##   cat("run_binreg(UserOptions, silent);\n\n", file=mf);
## 
##   cat("load('plotdata.mat');\n", file=mf);
##   cat("save('", pfx, "PlotData.mat','Silent','-V6');\n\n", file=mf, sep="");
##   
##   inFiles <- c("'imagegenelist.txt'", "'topgenecoeffs.txt'",
##                "'trainingcases.txt'", "'normalisedX.txt'");
##   outFiles <- c("ImageGeneList.txt'", "TopGeneCoeffs.txt'",
##                 "TrainingCases.txt'", "NormalisedX.txt'");
##   for(i1 in 1:4){
##     cat("movefile(", inFiles[i1], ",'", pfx, outFiles[i1], ");\n",
##         file=mf, sep="");
##   }
##   cat("\n", file=mf);
## 
##   cat("quit;\n", file=mf);
##   close(mf);
## 
##   sf <- file(scriptName, "w");
##   cat(matlabLocation, " -nojvm -nodesktop -nosplash ",
##       "< ", mFileName, " > /dev/null\n", file=sf, sep="");
##   close(sf);
## 
##   system(paste("chmod 777 ", scriptName));
##   system(paste("./", scriptName, sep=""));
## }
## 


###################################################
### chunk number 7: try5FU eval=FALSE
###################################################
## 
## outPth <- "MatlabFiles";
## outPfx <- "FiveFUTraining";
## dName <- "5-FU";
## userOptions <- 
##   list(excel=paste("'", file.path(outPth, outPfx), 
##          "Quant.csv'", sep=""), 
##        descFile=paste("'", file.path(outPth, outPfx), 
##          "Descriptions.mat'", sep=""),
##        genes=45,
##        metagenes=5,
##        burnin=1000,
##        iteration=100,
##        skips=2,
##        CI=5,
##        crossvalidation=1,
##        normalization=1);
## matlabLocation <- "/Applications/MATLAB701/bin/matlab";
## 
## filesForDuke(outputPrefix=outPfx, 
##              outputPath=outPth, 
##              drugName=dName, 
##              fullData=predictors, 
##              fullInfo=predictorsInfo);
## 
## mFilesForDuke(outputPrefix=outPfx,
##               outputPath=outPth,
##               drugName=dName,
##               userOptions=userOptions,
##               matlabLocation=matlabLocation)
## 


###################################################
### chunk number 8: bigCycle eval=FALSE
###################################################
## 
## outPth <- "MatlabFiles";
## userOptions <- 
##   list(excel=paste("'", file.path(outPth, outPfx), 
##          "Quant.csv'", sep=""), 
##        descFile=paste("'", file.path(outPth, outPfx), 
##          "Descriptions.mat'", sep=""),
##        genes=45,
##        metagenes=5,
##        burnin=1000,
##        iteration=100,
##        skips=2,
##        CI=5,
##        crossvalidation=1,
##        normalization=1);
## matlabLocation <- "/Applications/MATLAB701/bin/matlab";
## 
## outPfxList <- c("FiveFUTraining", "AdriaTraining", 
##                 "CytoxTraining", "DoceTraining",
##                 "EtopoTraining", "TaxolTraining",
##                 "TopoTraining");
## dNameList <- c("5-FU", "Adria", "Cytox", "Doce", 
##                "Etopo", "Taxol", "Topo");
## nGeneList <- c(45, 80, 35, 50, 50, 36, 150);
## 
## for(i1 in 2:7){
## 
##   outPfx <- outPfxList[i1];
##   dName <- dNameList[i1];
##   userOptions$excel <- paste("'", file.path(outPth, outPfx), 
##                              "Quant.csv'", sep=""); 
##   userOptions$descFile <- paste("'", file.path(outPth, outPfx), 
##                                 "Descriptions.mat'", sep="");
##   userOptions$genes <- nGeneList[i1];
## 
##   filesForDuke(outputPrefix=outPfx, 
##                outputPath=outPth, 
##                drugName=dName, 
##                fullData=predictors, 
##                fullInfo=predictorsInfo);
##   
##   mFilesForDuke(outputPrefix=outPfx,
##                 outputPath=outPth,
##                 drugName=dName,
##                 userOptions=userOptions,
##                 matlabLocation=matlabLocation)
## 
## }
## #$


###################################################
### chunk number 9: checking5FUNames
###################################################

fiveFUNames <- 
  read.table(file.path("MatlabFiles",
                       "FiveFUTrainingTopGeneCoeffs.txt"),
             sep="\t");
fiveFUNames$V2 <- as.character(fiveFUNames$V2);
fiveFUNames$V2 <- sub(" +$", "", fiveFUNames$V2);
length(intersect(fiveFUNames$V2, reportedFeatures$"5"));
fiveFUInds <- match(fiveFUNames$V2, rownames(predictors));
length(intersect(rownames(predictors)[fiveFUInds-1], 
                 reportedFeatures$"5"));
length(reportedFeatures$"5");




###################################################
### chunk number 10: checkingTopoNames
###################################################

topoNames <- 
  read.table(file.path("MatlabFiles",
                       "TopoTrainingTopGeneCoeffs.txt"),
             sep="\t");
topoNames$V2 <- as.character(topoNames$V2);
topoNames$V2 <- sub(" +$", "", topoNames$V2);
length(intersect(topoNames$V2, reportedFeatures$"TOPO"));
topoInds <- match(topoNames$V2, rownames(predictors));
length(intersect(rownames(predictors)[topoInds-1], 
                 reportedFeatures$"TOPO"));
length(reportedFeatures$"TOPO");



###################################################
### chunk number 11: checkingEtopoNames
###################################################

etopoNames <- 
  read.table(file.path("MatlabFiles",
                       "EtopoTrainingTopGeneCoeffs.txt"),
             sep="\t");
etopoNames$V2 <- as.character(etopoNames$V2);
etopoNames$V2 <- sub(" +$", "", etopoNames$V2);
length(intersect(etopoNames$V2, reportedFeatures$"ETOPO"));
etopoInds <- match(etopoNames$V2, rownames(predictors));
length(intersect(rownames(predictors)[etopoInds-1], 
                 reportedFeatures$"ETOPO"));
length(reportedFeatures$"ETOPO");




###################################################
### chunk number 12: checkingAdriaNames
###################################################

adriaNames <- 
  read.table(file.path("MatlabFiles",
                       "AdriaTrainingTopGeneCoeffs.txt"),
             sep="\t");
adriaNames$V2 <- as.character(adriaNames$V2);
adriaNames$V2 <- sub(" +$", "", adriaNames$V2);
length(intersect(adriaNames$V2, reportedFeatures$"ADRIA"));
adriaInds <- match(adriaNames$V2, rownames(predictors));
length(intersect(rownames(predictors)[adriaInds-1], 
                 reportedFeatures$"ADRIA"));
length(reportedFeatures$"ADRIA");

adriaOut <- setdiff(reportedFeatures$"ADRIA", #$
                    rownames(predictors)[adriaInds-1]);

unlist(mget(adriaOut, hgu95av2SYMBOL));



###################################################
### chunk number 13: checkingTaxolNames
###################################################

taxolNames <- 
  read.table(file.path("MatlabFiles",
                       "TaxolTrainingTopGeneCoeffs.txt"),
             sep="\t");
taxolNames$V2 <- as.character(taxolNames$V2);
taxolNames$V2 <- sub(" +$", "", taxolNames$V2);
length(intersect(taxolNames$V2, reportedFeatures$"PAC"));
taxolInds <- match(taxolNames$V2, rownames(predictors));
length(intersect(rownames(predictors)[taxolInds-1], 
                 reportedFeatures$"PAC"));
length(reportedFeatures$"PAC");

taxolOut <- setdiff(reportedFeatures$"PAC", #$
                    rownames(predictors)[taxolInds-1]);

unlist(mget(taxolOut, hgu95av2SYMBOL));



###################################################
### chunk number 14: checkingDoceNames
###################################################

doceNames <- read.table(file.path("MatlabFiles",
                                  "DoceTrainingTopGeneCoeffs.txt"),
                        sep="\t");
doceNames$V2 <- as.character(doceNames$V2);
doceNames$V2 <- sub(" +$", "", doceNames$V2);
length(intersect(doceNames$V2, reportedFeatures$"DOCE"));
doceInds <- match(doceNames$V2, rownames(predictors));
length(intersect(rownames(predictors)[doceInds-1], 
                 reportedFeatures$"DOCE"));
length(reportedFeatures$"DOCE");

doceOut <- setdiff(reportedFeatures$"DOCE", #$
                    rownames(predictors)[doceInds-1]);

unlist(mget(doceOut, hgu95av2SYMBOL));



###################################################
### chunk number 15: checkingCytoxNames
###################################################

cytoxNames <- read.table(file.path("MatlabFiles",
                                   "CytoxTrainingTopGeneCoeffs.txt"),
                        sep="\t");
cytoxNames$V2 <- as.character(cytoxNames$V2);
cytoxNames$V2 <- sub(" +$", "", cytoxNames$V2);
length(intersect(cytoxNames$V2, reportedFeatures$"CYTOX"));
cytoxInds <- match(cytoxNames$V2, rownames(predictors));
length(intersect(rownames(predictors)[cytoxInds-1], 
                 reportedFeatures$"CYTOX"));
length(reportedFeatures$"CYTOX");


###################################################
### chunk number 16: inChangList
###################################################
changReportedDoce <-
  c("1751_g_at", "1997_s_at", "2085_s_at", "31431_at", "31432_g_at",
    "31638_at", "32099_at", "32331_at", "32523_at", "32843_s_at", 
    "33133_at", "33214_at", "33285_i_at", "33371_s_at");


###################################################
### chunk number 17: notInChangList
###################################################
notInChang <- 
  c("1258_s_at", "1802_s_at", "1878_g_at", "33047_at", "40567_at");


###################################################
### chunk number 18: exportAllDoce eval=FALSE
###################################################
## 
## tempDoce <- predictors[,predictorsInfo$drugName == "Doce"]; 
## tempDoce <- cbind(tempDoce, changSoft[rownames(tempDoce),]);
## 
## tempStatus <- predictorsInfo$resp[predictorsInfo$drug == "Doce"];
## tempStatus <- as.character(tempStatus);
## tempStatus <- c(tempStatus, as.character(changInfo$Resp));
##  
## tempValue <- rep(0,length(tempStatus)); 
## tempValue[tempStatus == "Sensitive"] <- 1;
## tempValue[tempStatus == "Resp"] <- 2;
## tempValue[tempStatus == "NR"] <- 2;
## 
## tempTable <- rbind(tempValue, tempDoce); 
## 
## write.table(tempTable, 
##             file=file.path("MatlabFiles", "DoceTrainAndTestQuant.csv"), 
##             row.names=FALSE, col.names=FALSE, sep=",");
## 
## write.table(predictorsInfo[predictorsInfo$drug == "Doce",],
##             file=file.path("MatlabFiles", 
##               "DoceTrainAndTestSampleInfo.csv"),
##             sep=",");
## write.table(changInfo,
##             file=file.path("MatlabFiles", 
##               "DoceTrainAndTestSampleInfo.csv"),
##             sep=",", append=TRUE);
## 
## write.table(rownames(tempDoce),
##             file=file.path("MatlabFiles", 
##               "DoceTrainAndTestGeneIDs.csv"),
##             row.names=FALSE, col.names=FALSE, sep=",");
## #$


###################################################
### chunk number 19: mFileTrainTest eval=FALSE
###################################################
## 
## mFilesForDukeTrainTest <- function(outputPrefix, outputPath, drugName,
##                                    userOptions, matlabLocation){
## 
## 
##   pfx <- file.path(outputPath, outputPrefix);
##   mFileName <- paste(pfx, ".m", sep="");
##   scriptName <- paste(pfx, ".sh", sep="");
##   dukeLocn <- file.path("..", "PublicData", "DukeWebSite", "Pittman_zip");
##   
##   mf <- file(mFileName, "w");
##   cat("addpath('", dukeLocn, "');\n\n", file=mf, sep="");
## 
##   cat("txt2mat2('", pfx, "GeneIDs.csv');\n", file=mf, sep="");
##   cat("movefile('descriptions.mat','", pfx, "Descriptions.mat');\n\n",
##       file=mf, sep="");
##   for(i1 in 1:length(userOptions)){
##     cat("UserOptions.", names(userOptions)[i1], "=", 
##         userOptions[[i1]], ";\n", file=mf, sep="");
##   }
##   cat("\n", file=mf);
## 
##   cat("silent = 0;\n", file=mf);
##   cat("run_binreg(UserOptions, silent);\n\n", file=mf);
## 
##   ## Add another entry (in position 4) to Names
## 
##   figNames <- c("PCA", "MetaWts", "ProbVsWt", 
##                 "ProbVsWtTest", "CrossVal", "Heatmap");
##   figPfx <- c("'-dpng'", "'-dpdf'", "'-depsc'");
##   figSfx <- c(".png", ".pdf", ".eps");
##   figPth <- file.path(outputPath, "Figures", outputPrefix);
## 
##   ## Change loop to include 4
## 
##   for(i1 in c(1,2,3,4,5)){
##     cat("figure(", i1, ");\n", file=mf, sep="");
##     cat("set(gcf,'Color','w');\n", file=mf);
##     for(i2 in 1:3){
##       cat("print(", figPfx[i2], ",'", figPth, figNames[i1],
##           figSfx[i2], "');\n", file=mf, sep="");
##     }
##     cat("\n", file=mf);
##   }
## 
##   cat("figure(11);\n", file=mf, sep="");
##   cat("set(gcf,'Color','w');\n", file=mf);
##   cat("title('",drugName, ", ", userOptions$genes, " Genes');\n",
##       file=mf, sep="");
##   cat("xlabel('Samples');\n", file=mf);
##   cat("ylabel('Genes');\n", file=mf);
## 
##   ## Change 5 to 6
## 
##   for(i1 in 1:3){
##     cat("print(", figPfx[i1], ",'", figPth, figNames[length(figNames)],
##         figSfx[i1], "');\n", file=mf, sep="");
##   }
##   cat("\n", file=mf);
##   
##   cat("silent = 1;\n", file=mf);
##   cat("run_binreg(UserOptions, silent);\n\n", file=mf);
## 
##   cat("load('plotdata.mat');\n", file=mf);
##   cat("save('", pfx, "PlotData.mat','Silent','-V6');\n\n", file=mf, sep="");
##   
##   ## add validationcases.txt, extend loop to 5
## 
##   inFiles <- c("'imagegenelist.txt'", "'topgenecoeffs.txt'",
##                "'trainingcases.txt'", "'normalisedX.txt'",
##                "'validationcases.txt'");
##   outFiles <- c("ImageGeneList.txt'", "TopGeneCoeffs.txt'",
##                 "TrainingCases.txt'", "NormalisedX.txt'",
##                 "ValidationCases.txt'");
##   for(i1 in 1:5){
##     cat("movefile(", inFiles[i1], ",'", pfx, outFiles[i1], ");\n",
##         file=mf, sep="");
##   }
##   cat("\n", file=mf);
## 
## 
## 
## 
##   ## Now repeat main block with slightly different
##   ## prefix for Figure output and a different run_binreg
##   ## invocation string. 
## 
##   pfx <- paste(pfx, "Old", sep="");
##   outputPrefix <- paste(outputPrefix, "Old", sep="");
## 
##   cat("silent = 0;\n", file=mf);
## 
##   ## use run_binreg_old
## 
##   cat("run_binreg_old(UserOptions, silent);\n\n", file=mf);
## 
##   ## Add another entry (in position 4) to Names
## 
##   figNames <- c("PCA", "MetaWts", "ProbVsWt", 
##                 "ProbVsWtTest", "CrossVal", "Heatmap");
##   figPfx <- c("'-dpng'", "'-dpdf'", "'-depsc'");
##   figSfx <- c(".png", ".pdf", ".eps");
##   figPth <- file.path(outputPath, "Figures", outputPrefix);
## 
##   ## Change loop to include 4
## 
##   for(i1 in c(1,2,3,4,5)){
##     cat("figure(", i1, ");\n", file=mf, sep="");
##     cat("set(gcf,'Color','w');\n", file=mf);
##     for(i2 in 1:3){
##       cat("print(", figPfx[i2], ",'", figPth, figNames[i1],
##           figSfx[i2], "');\n", file=mf, sep="");
##     }
##     cat("\n", file=mf);
##   }
## 
##   cat("figure(11);\n", file=mf, sep="");
##   cat("set(gcf,'Color','w');\n", file=mf);
##   cat("title('",drugName, ", ", userOptions$genes, " Genes');\n",
##       file=mf, sep="");
##   cat("xlabel('Samples');\n", file=mf);
##   cat("ylabel('Genes');\n", file=mf);
## 
##   ## Change 5 to 6
## 
##   for(i1 in 1:3){
##     cat("print(", figPfx[i1], ",'", figPth, figNames[length(figNames)],
##         figSfx[i1], "');\n", file=mf, sep="");
##   }
##   cat("\n", file=mf);
##   
##   cat("silent = 1;\n", file=mf);
## 
##   ## use run_binreg_old
## 
##   cat("run_binreg_old(UserOptions, silent);\n\n", file=mf);
## 
##   cat("load('plotdata.mat');\n", file=mf);
##   cat("save('", pfx, "PlotData.mat','Silent','-V6');\n\n", file=mf, sep="");
##   
##   ## add validationcases.txt, extend loop to 5
## 
##   inFiles <- c("'imagegenelist.txt'", "'topgenecoeffs.txt'",
##                "'trainingcases.txt'", "'normalisedX.txt'",
##                "'validationcases.txt'");
##   outFiles <- c("ImageGeneList.txt'", "TopGeneCoeffs.txt'",
##                 "TrainingCases.txt'", "NormalisedX.txt'",
##                 "ValidationCases.txt'");
##   for(i1 in 1:5){
##     cat("movefile(", inFiles[i1], ",'", pfx, outFiles[i1], ");\n",
##         file=mf, sep="");
##   }
##   cat("\n", file=mf);
## 
## 
## 
##   cat("quit;\n", file=mf);
##   close(mf);
## 
##   sf <- file(scriptName, "w");
##   cat(matlabLocation, " -nojvm -nodesktop -nosplash ",
##       "< ", mFileName, " > /dev/null\n", file=sf, sep="");
##   close(sf);
## 
##   system(paste("chmod 777 ", scriptName));
##   system(paste("./", scriptName, sep=""));
## }
## 
## 


###################################################
### chunk number 20: invokeTest eval=FALSE
###################################################
## 
## outPth <- "MatlabFiles";
## outPfx <- "DoceTrainAndTest";
## dName <- "Doce";
## userOptions <- 
##   list(excel=paste("'", file.path(outPth, outPfx), 
##          "Quant.csv'", sep=""), 
##        descFile=paste("'", file.path(outPth, outPfx), 
##          "Descriptions.mat'", sep=""),
##        genes=50,
##        metagenes=5,
##        burnin=1000,
##        iteration=100,
##        skips=2,
##        CI=5,
##        crossvalidation=1,
##        normalization=1);
## matlabLocation <- "/Applications/MATLAB701/bin/matlab";
## 
## mFilesForDukeTrainTest(outputPrefix=outPfx,
##                        outputPath=outPth,
##                        drugName=dName,
##                        userOptions=userOptions,
##                        matlabLocation=matlabLocation)
## 
## 


###################################################
### chunk number 21: compareGeneLists
###################################################
geneListTrainOnly <- 
  read.table(file.path("MatlabFiles",
                       "DoceTrainingTopGeneCoeffs.txt"),
             sep="\t");
geneListWithTestOldAlg <- 
  read.table(file.path("MatlabFiles",
                       "DoceTrainAndTestOldTopGeneCoeffs.txt"),
             sep="\t");
geneListWithTestNewAlg <- 
  read.table(file.path("MatlabFiles",
                       "DoceTrainAndTestTopGeneCoeffs.txt"),
             sep="\t");

length(intersect(geneListWithTestOldAlg$V2, 
                 geneListWithTestNewAlg$V2));

length(intersect(geneListWithTestOldAlg$V2, 
                 geneListTrainOnly$V2));


