###################################################
### chunk number 1: 
###################################################
options(SweaveHooks=list(fig=function() par(bg="white")))
options(width=70)


###################################################
### chunk number 2: nci60dir
###################################################
nci60Dir <- file.path("..", "PublicData", "NCI60Processed")
nci60Dir


###################################################
### chunk number 3: checkPerlProcess
###################################################
if (!file.exists(file.path(nci60Dir, "Novartis.tsv"))) {
  home <- setwd(nci60Dir)
  source("parseNovartis.R")
  source("get36460.R")
  setwd(home)
  rm(home)
}


###################################################
### chunk number 4: checkPerlProcess
###################################################
if (!file.exists(file.path(nci60Dir, "cancer60tgi.lis.csv"))) {
  home <- setwd(nci60Dir)
  source("extractDrugs.R")
  setwd(home)
  rm(home)
}


###################################################
### chunk number 5: loadRawNovartis eval=FALSE
###################################################
## novtemp <- read.table(file.path(nci60Dir, "Novartis.tsv"),
##                       sep="\t", header=TRUE, as.is=TRUE)
## duprow <- which(novtemp[, "Probe.Set"] == "100_g_at")
## novartis <- novtemp[-duprow[2], 1:181]
## rownames(novartis) <- novartis[, "Probe.Set"]
## novartis <- novartis[2:181]
## rm(novtemp, duprow)


###################################################
### chunk number 6: fixCellLineNames eval=FALSE
###################################################
## cnov <- sort(unique(substring(colnames(novartis), 11)))
## temp <- sub(".ATCC", "/ATCC", cnov)
## temp <- sub(".ADR", "/ADR", temp)
## temp <- sub(".TB.", "(TB)", temp)
## temp <- gsub("\\\.", "-", temp)
## temp <- sub("COLO.205", "COLO 205", temp)
## temp <- sub("RXF.393", "RXF 393", temp)
## temp <- sub("LOX.IMVI", "LOX IMVI", temp)
## temp <- sub("HS.578T", "HS 578T", temp)
## names(temp) <- cnov
## novinfo <- paste(substring(colnames(novartis), 9, 10), 
##                  temp[substring(colnames(novartis), 11)], sep='')
## colnames(novartis) <- novinfo
## rm(temp, cnov, novinfo)


###################################################
### chunk number 7: load36460 eval=FALSE
###################################################
## nov <- read.table(file.path(nci60Dir, "Novartis36460_at.csv"), sep=',', header=TRUE)
## nov$cellname <- sub("RXF.393", "RXF 393", nov$cellname)
## novname <- paste(substr(nov$ID, 9, 9), nov$cellname, sep='.')
## rownames(nov) <- novname
## nov <- nov[colnames(novartis),]
## novartisInfo <- nov[, c("ID", "cellname", "pname", "panelnbr", "cellnbr")]
## novartisInfo$ID <- factor(substring(novartisInfo$ID, 9, 10))
## novartisInfo$cellname <- factor(as.character(novartisInfo$cellname))
## rm(novname)
## if (any(rownames(novartisInfo) != colnames(novartis))) {
##   stop("bad data matching!")
## }


###################################################
### chunk number 8: novload eval=FALSE
###################################################
## novfile <- file.path("RDataObjects", "novartis.Rda")
## if(file.exists(novfile)) {
##   load(novfile) 
## } else { # create the material for novartis.Rda
## novtemp <- read.table(file.path(nci60Dir, "Novartis.tsv"),
##                       sep="\t", header=TRUE, as.is=TRUE)
## duprow <- which(novtemp[, "Probe.Set"] == "100_g_at")
## novartis <- novtemp[-duprow[2], 1:181]
## rownames(novartis) <- novartis[, "Probe.Set"]
## novartis <- novartis[2:181]
## rm(novtemp, duprow)
## cnov <- sort(unique(substring(colnames(novartis), 11)))
## temp <- sub(".ATCC", "/ATCC", cnov)
## temp <- sub(".ADR", "/ADR", temp)
## temp <- sub(".TB.", "(TB)", temp)
## temp <- gsub("\\\.", "-", temp)
## temp <- sub("COLO.205", "COLO 205", temp)
## temp <- sub("RXF.393", "RXF 393", temp)
## temp <- sub("LOX.IMVI", "LOX IMVI", temp)
## temp <- sub("HS.578T", "HS 578T", temp)
## names(temp) <- cnov
## novinfo <- paste(substring(colnames(novartis), 9, 10), 
##                  temp[substring(colnames(novartis), 11)], sep='')
## colnames(novartis) <- novinfo
## rm(temp, cnov, novinfo)
## nov <- read.table(file.path(nci60Dir, "Novartis36460_at.csv"), sep=',', header=TRUE)
## nov$cellname <- sub("RXF.393", "RXF 393", nov$cellname)
## novname <- paste(substr(nov$ID, 9, 9), nov$cellname, sep='.')
## rownames(nov) <- novname
## nov <- nov[colnames(novartis),]
## novartisInfo <- nov[, c("ID", "cellname", "pname", "panelnbr", "cellnbr")]
## novartisInfo$ID <- factor(substring(novartisInfo$ID, 9, 10))
## novartisInfo$cellname <- factor(as.character(novartisInfo$cellname))
## rm(novname)
## if (any(rownames(novartisInfo) != colnames(novartis))) {
##   stop("bad data matching!")
## }
##   save(novartis, novartisInfo, file=novfile)
## }
## rm(novfile)


###################################################
### chunk number 9: actualload
###################################################
novfile <- file.path("RDataObjects", "novartis.Rda")
if(file.exists(novfile)) {
  load(novfile) 
} else { # create the material for novartis.Rda
novtemp <- read.table(file.path(nci60Dir, "Novartis.tsv"),
                      sep="\t", header=TRUE, as.is=TRUE)
duprow <- which(novtemp[, "Probe.Set"] == "100_g_at")
novartis <- novtemp[-duprow[2], 1:181]
rownames(novartis) <- novartis[, "Probe.Set"]
novartis <- novartis[2:181]
rm(novtemp, duprow)
cnov <- sort(unique(substring(colnames(novartis), 11)))
temp <- sub(".ATCC", "/ATCC", cnov)
temp <- sub(".ADR", "/ADR", temp)
temp <- sub(".TB.", "(TB)", temp)
temp <- gsub("\\\.", "-", temp)
temp <- sub("COLO.205", "COLO 205", temp)
temp <- sub("RXF.393", "RXF 393", temp)
temp <- sub("LOX.IMVI", "LOX IMVI", temp)
temp <- sub("HS.578T", "HS 578T", temp)
names(temp) <- cnov
novinfo <- paste(substring(colnames(novartis), 9, 10), 
                 temp[substring(colnames(novartis), 11)], sep='')
colnames(novartis) <- novinfo
rm(temp, cnov, novinfo)
nov <- read.table(file.path(nci60Dir, "Novartis36460_at.csv"), sep=',', header=TRUE)
nov$cellname <- sub("RXF.393", "RXF 393", nov$cellname)
novname <- paste(substr(nov$ID, 9, 9), nov$cellname, sep='.')
rownames(nov) <- novname
nov <- nov[colnames(novartis),]
novartisInfo <- nov[, c("ID", "cellname", "pname", "panelnbr", "cellnbr")]
novartisInfo$ID <- factor(substring(novartisInfo$ID, 9, 10))
novartisInfo$cellname <- factor(as.character(novartisInfo$cellname))
rm(novname)
if (any(rownames(novartisInfo) != colnames(novartis))) {
  stop("bad data matching!")
}
  save(novartis, novartisInfo, file=novfile)
}
rm(novfile)


###################################################
### chunk number 10: mapDrugNames2NSC eval=FALSE
###################################################
## nsc <- c(628503, # docetaxel
##          123127, # adriamycin
##          26271,  # cytoxan
##          141540, # etoposide
##          125973, # taxol
##          19893,  # 5-fluorouracil
##          609699, # topotecan
##          749,    # azaguanine (from Staunton paper)
##          740,    # methotrexate
##          241240, # carboplatin
##          119875, # cisplatin
##          83142)  # daunorubicin
## abbrev <- c("Doce",
##             "Adria",
##             "Cytox",
##             "Etopo",
##             "Taxol",
##             "5-FU",
##             "Topo",
##             "azaG",
##             "Metho",
##             "Carbo",
##             "Cisp",
##             "Dauno")
## names(nsc) <- abbrev
## names(abbrev) <- as.character(nsc)


###################################################
### chunk number 11: defineGetNSCFunction eval=FALSE
###################################################
## getNSC <- function(filename, target, path=NULL) {
##   # eat the extra final spaces
##   fixup <- function(x) {
##     x <- as.character(x)
##     x <- sub(" $", "", x)#$
##     factor(x)
##   }
##   # load the data, and clean it up
##   if(!is.null(path)) {
##     filename <- file.path(path, filename)
##   }
##   rt <- read.table(filename, 
##                    sep=',', header=TRUE, row.names=NULL, 
##                    quote='', comment.char='')
##   rt$NSC <- factor(rt$NSC)
##   rt$LCONC <- factor(rt$LCONC)
##   temp <- as.character(rt$STDDEV)
##   temp <- gsub(" ", '', temp)
##   temp[temp=="."] <- NA
##   rt$STDDEV <- as.numeric(temp)
##   rt$PANEL <- fixup(rt$PANEL)
##   rt$CELL <- fixup(rt$CELL)
##   rt[, "Key"] <- factor(paste(as.character(rt$NSC), 
##                               as.character(rt$LCONC), sep='L'))
##   len <- table(rt$CELL, rt$Key)
##   # use groupedData and gsummary to average over meaningless replicates
##   form <- dummy ~ 1|NSC/LCONC/CELL
##   form[[2]] <- as.name(target)
##   require(nlme)
##   gd <- groupedData(form, data=rt)
##   simple <- gsummary(gd, mean, na.rm=TRUE)
##   result <- tapply(simple[, target], list(simple$CELL, simple$Key), 
##                  mean, na.rm=TRUE)
##   result
## }


###################################################
### chunk number 12: loadRawNSCData eval=FALSE
###################################################
## gi50 <- getNSC("cancer60gi50.lis.csv", "NLOGGI50",nci60Dir)
## lc50 <- getNSC("cancer60lc50.lis.csv", "NLOGLC50", nci60Dir)
## tgi  <- getNSC("cancer60tgi.lis.csv", "NLOGTGI", nci60Dir)


###################################################
### chunk number 13: restrictToNovartisCellLines eval=FALSE
###################################################
## novi <- (rownames(gi50) %in% as.character(novartisInfo[, "cellname"]))
## GI50 <- gi50[novi,]
## novi <- (rownames(lc50) %in% as.character(novartisInfo[, "cellname"]))
## LC50 <- lc50[novi,]
## novi <- (rownames(tgi) %in% as.character(novartisInfo[, "cellname"]))
## TGI <- tgi[novi,]
## rm(novi, gi50, lc50, tgi)


###################################################
### chunk number 14: nscload eval=FALSE
###################################################
## nscfile <- file.path("RDataObjects", "nscdata.Rda")
## if (file.exists(nscfile)) {
##   load(nscfile)
## } else {
## nsc <- c(628503, # docetaxel
##          123127, # adriamycin
##          26271,  # cytoxan
##          141540, # etoposide
##          125973, # taxol
##          19893,  # 5-fluorouracil
##          609699, # topotecan
##          749,    # azaguanine (from Staunton paper)
##          740,    # methotrexate
##          241240, # carboplatin
##          119875, # cisplatin
##          83142)  # daunorubicin
## abbrev <- c("Doce",
##             "Adria",
##             "Cytox",
##             "Etopo",
##             "Taxol",
##             "5-FU",
##             "Topo",
##             "azaG",
##             "Metho",
##             "Carbo",
##             "Cisp",
##             "Dauno")
## names(nsc) <- abbrev
## names(abbrev) <- as.character(nsc)
## getNSC <- function(filename, target, path=NULL) {
##   # eat the extra final spaces
##   fixup <- function(x) {
##     x <- as.character(x)
##     x <- sub(" $", "", x)#$
##     factor(x)
##   }
##   # load the data, and clean it up
##   if(!is.null(path)) {
##     filename <- file.path(path, filename)
##   }
##   rt <- read.table(filename, 
##                    sep=',', header=TRUE, row.names=NULL, 
##                    quote='', comment.char='')
##   rt$NSC <- factor(rt$NSC)
##   rt$LCONC <- factor(rt$LCONC)
##   temp <- as.character(rt$STDDEV)
##   temp <- gsub(" ", '', temp)
##   temp[temp=="."] <- NA
##   rt$STDDEV <- as.numeric(temp)
##   rt$PANEL <- fixup(rt$PANEL)
##   rt$CELL <- fixup(rt$CELL)
##   rt[, "Key"] <- factor(paste(as.character(rt$NSC), 
##                               as.character(rt$LCONC), sep='L'))
##   len <- table(rt$CELL, rt$Key)
##   # use groupedData and gsummary to average over meaningless replicates
##   form <- dummy ~ 1|NSC/LCONC/CELL
##   form[[2]] <- as.name(target)
##   require(nlme)
##   gd <- groupedData(form, data=rt)
##   simple <- gsummary(gd, mean, na.rm=TRUE)
##   result <- tapply(simple[, target], list(simple$CELL, simple$Key), 
##                  mean, na.rm=TRUE)
##   result
## }
## gi50 <- getNSC("cancer60gi50.lis.csv", "NLOGGI50",nci60Dir)
## lc50 <- getNSC("cancer60lc50.lis.csv", "NLOGLC50", nci60Dir)
## tgi  <- getNSC("cancer60tgi.lis.csv", "NLOGTGI", nci60Dir)
## novi <- (rownames(gi50) %in% as.character(novartisInfo[, "cellname"]))
## GI50 <- gi50[novi,]
## novi <- (rownames(lc50) %in% as.character(novartisInfo[, "cellname"]))
## LC50 <- lc50[novi,]
## novi <- (rownames(tgi) %in% as.character(novartisInfo[, "cellname"]))
## TGI <- tgi[novi,]
## rm(novi, gi50, lc50, tgi)
##   save(nsc, abbrev, GI50, LC50, TGI, file=nscfile)
## }
## rm(nscfile)


###################################################
### chunk number 15: actualload
###################################################
nscfile <- file.path("RDataObjects", "nscdata.Rda")
if (file.exists(nscfile)) {
  load(nscfile)
} else {
nsc <- c(628503, # docetaxel
         123127, # adriamycin
         26271,  # cytoxan
         141540, # etoposide
         125973, # taxol
         19893,  # 5-fluorouracil
         609699, # topotecan
         749,    # azaguanine (from Staunton paper)
         740,    # methotrexate
         241240, # carboplatin
         119875, # cisplatin
         83142)  # daunorubicin
abbrev <- c("Doce",
            "Adria",
            "Cytox",
            "Etopo",
            "Taxol",
            "5-FU",
            "Topo",
            "azaG",
            "Metho",
            "Carbo",
            "Cisp",
            "Dauno")
names(nsc) <- abbrev
names(abbrev) <- as.character(nsc)
getNSC <- function(filename, target, path=NULL) {
  # eat the extra final spaces
  fixup <- function(x) {
    x <- as.character(x)
    x <- sub(" $", "", x)#$
    factor(x)
  }
  # load the data, and clean it up
  if(!is.null(path)) {
    filename <- file.path(path, filename)
  }
  rt <- read.table(filename, 
                   sep=',', header=TRUE, row.names=NULL, 
                   quote='', comment.char='')
  rt$NSC <- factor(rt$NSC)
  rt$LCONC <- factor(rt$LCONC)
  temp <- as.character(rt$STDDEV)
  temp <- gsub(" ", '', temp)
  temp[temp=="."] <- NA
  rt$STDDEV <- as.numeric(temp)
  rt$PANEL <- fixup(rt$PANEL)
  rt$CELL <- fixup(rt$CELL)
  rt[, "Key"] <- factor(paste(as.character(rt$NSC), 
                              as.character(rt$LCONC), sep='L'))
  len <- table(rt$CELL, rt$Key)
  # use groupedData and gsummary to average over meaningless replicates
  form <- dummy ~ 1|NSC/LCONC/CELL
  form[[2]] <- as.name(target)
  require(nlme)
  gd <- groupedData(form, data=rt)
  simple <- gsummary(gd, mean, na.rm=TRUE)
  result <- tapply(simple[, target], list(simple$CELL, simple$Key), 
                 mean, na.rm=TRUE)
  result
}
gi50 <- getNSC("cancer60gi50.lis.csv", "NLOGGI50",nci60Dir)
lc50 <- getNSC("cancer60lc50.lis.csv", "NLOGLC50", nci60Dir)
tgi  <- getNSC("cancer60tgi.lis.csv", "NLOGTGI", nci60Dir)
novi <- (rownames(gi50) %in% as.character(novartisInfo[, "cellname"]))
GI50 <- gi50[novi,]
novi <- (rownames(lc50) %in% as.character(novartisInfo[, "cellname"]))
LC50 <- lc50[novi,]
novi <- (rownames(tgi) %in% as.character(novartisInfo[, "cellname"]))
TGI <- tgi[novi,]
rm(novi, gi50, lc50, tgi)
  save(nsc, abbrev, GI50, LC50, TGI, file=nscfile)
}
rm(nscfile)


